PowerShell 2 for XP, Server 2003, Vista and Server 2008 is available!

Microsoft are calling it the “Windows Management Framework” but in reality this is PowerShell 2.0 and it’s now available for download: http://support.microsoft.com/kb/968929

If you install over the top of PowerShell 1.0 on XP the startmenu link will go but you’ll be left with the documentation links. So it might be better to uninstall 1 then install 2. Not sure yet.
Part of this is the new ISE (Integrated Scripting Environment) too and it’s wonderfully good. Just go start, run, then type: powershell_ise

Note: it supports only XP SP3, Server 2003 SP2, Vista SP1+, and Server 2008 SP2.
Windows 7 and Server 2008 R2 have PowerShell 2 built-in of course.

Update on 7th Sep 2012: If you want PowerShell 3 click here

  • abhi

    thank you very much